[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: F8 yum update barfing on unnecessary dependency?



On Nov 12, 2007 8:30 AM, Gerry Tool <gerrytool gmail com> wrote:
> On Nov 12, 2007 8:23 AM, Christopher A. Williams <fedoralists cawllc com> wrote:
> >
> > On Mon, 2007-11-12 at 08:18 -0600, Gerry Tool wrote:
> > > I am trying to update the kernel and kmod-nvidia together.
> > >
> > > The messages I get are:
> > > ===================
> > > Setting up Update Process
> > <snip...>
> > > --> Finished Dependency Resolution
> > > Error: Missing Dependency: kernel-i686 = 2.6.23.1-42.fc8 is needed by
> > > package kmod-nvidia-2.6.23.1-42.fc8
> > > ====================
> > >
> > > I don't understand the Missing Dependency, since both kmod-nvidia and
> > > the new kernel that are available are for the same version.
> > >
> > > What am I missing?  How can I get out of this lock-up?
> >
> > I ran into this as well. The way I worked around it was to NOT update
> > the kernel directly. Then the nVidia update will pull the kernel update
> > as a dependency.
> >
> > Note that you will then need to go back and also update kernel-devel.
> > The nVidia dependency fails to pull that part along.
> >
> > Hope that helps!
> >
> > Cheers,
> >
> > Chris
>
> Thanks for the reply, Chris.  I now get this:
>
> [root f8 jdk1.6.0_03]# yum update kmod-nvidia
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package kmod-nvidia.i686 0:100.14.19-18.lvn8 set to be updated
> --> Processing Dependency: kmod-nvidia-2.6.23.1-49.fc8 for package: kmod-nvidia
> --> Running transaction check
> ---> Package kmod-nvidia-2.6.23.1-49.fc8.i686 0:100.14.19-18.lvn8 set
> to be updated
> --> Processing Dependency: kernel-i686 = 2.6.23.1-49.fc8 for package:
> kmod-nvidia-2.6.23.1-49.fc8
> --> Running transaction check
> --> Processing Dependency: kernel-i686 = 2.6.23.1-42.fc8 for package:
> kmod-nvidia-2.6.23.1-42.fc8
> ---> Package kernel.i686 0:2.6.23.1-49.fc8 set to be updated
> --> Finished Dependency Resolution
> Error: Missing Dependency: kernel-i686 = 2.6.23.1-42.fc8 is needed by
> package kmod-nvidia-2.6.23.1-42.fc8
>
> Would it work to yum erase kmod-nvidia and then install it fresh?
>
> Gerry
>
I finally got the kernel to update by

yum erase kmod-nvida xorg-x11-drv-nvidia

and reverting to the nv driver in my xorg.conf.

Will now reboot and see if i can get kmod-nvidia to fly with the newer version.

Gerry


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]